SyncRequest (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.repair.messages

## Class SyncRequest

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage
  - - org.apache.cassandra.repair.messages.SyncRequest

-     public class SyncRequest
      extends RepairMessage

  Body part of SYNC_REQUEST repair message. Request `src` node to sync data with `dst` node for range `ranges`.
  Since:
    2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SyncRequest.SyncRequestSerializer`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `RepairMessage.MessageSerializer<T extends RepairMessage>, RepairMessage.RepairMessageSerializer, RepairMessage.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.net.InetAddress` | `dst`
    `java.net.InetAddress` | `initiator`
    `java.util.Collection<Range<Token>>` | `ranges`
    `static RepairMessage.MessageSerializer` | `serializer`
    `java.net.InetAddress` | `src`

    - ### Fields inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `desc, messageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncRequest(RepairJobDesc desc, java.net.InetAddress initiator, java.net.InetAddress src, java.net.InetAddress dst, java.util.Collection<Range<Token>> ranges)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `createMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static RepairMessage.MessageSerializer serializer

    - #### initiator

          public final java.net.InetAddress initiator

    - #### src

          public final java.net.InetAddress src

    - #### dst

          public final java.net.InetAddress dst

    - #### ranges

          public final java.util.Collection<Range<Token>> ranges

  - ### Constructor Detail

    - #### SyncRequest

          public SyncRequest(RepairJobDesc desc,
                     java.net.InetAddress initiator,
                     java.net.InetAddress src,
                     java.net.InetAddress dst,
                     java.util.Collection<Range<Token>> ranges)

Copyright © 2014 The Apache Software Foundation